from spread_core.bam.managers import Manager
from spread_core.bam.animeo.adapter import AnimeoAdapter
from spread_core.tools import settings_const as C


class Animeo(Manager):
    def set_interface(self):
        self.send_interface = AnimeoAdapter()

    def parse(self, data):
        super(Animeo, self).parse(data)

        self.bus = {key: data[C.ATTRIBUTES][key] for key in (C.LOGIN, C.PASSWORD, C.URL)}
