import spread_knx as knx
from spread_core.bam.knx.providers import KnxMotor

from spread_core.tests.hardware.knx.test_knx_provider import TestKnxProvider


class TestKnxMotor(TestKnxProvider):
    Provider = KnxMotor
    address = knx.address.MotorAddress(state='0/0/1', control='0/1/0', stop='1/0/0')

    @property
    def provider(self) -> KnxMotor:
        return self._provider
