class Increment:
    def __init__(self, start_index=0):
        self.__current_index = start_index
        self.__count = 0

    def next(self):
        """Возвращает следующий доступный индекс"""
        self.__current_index += 1
        self.__count += 1
        return self.__current_index

    @property
    def current(self):
        return self.__current_index

    @property
    def has_count(self):
        """Количество сгенерированных индексов"""
        return self.__count
