from django.contrib.auth.decorators import login_required
from django.shortcuts import render

import spread_core.mqtt as mqtt
import spread_lom as lom
from spread_dashboard.project import bam
from spread_dashboard.utils import app


@login_required
def index(request, profile_id=None):
    return render(
        request,
        'local/hardware/lom/lom_profiles.html',
        context=dict(
            broker=bam.broker_auth(),
            topic_state=str(mqtt.project.Preset.broadcast(app().project_id, lom.profiles.DimmingProfile.__name__, '#')),
            topic_set=str(mqtt.project.Preset.broadcast(app().project_id, lom.profiles.DimmingProfile.__name__, '#')).replace(mqtt.project.LOCAL, mqtt.project.SET, 1),
            topic_reset=str(mqtt.project.Preset.broadcast(app().project_id, lom.profiles.DimmingProfile.__name__, '#')).replace(mqtt.project.LOCAL, mqtt.project.RESET, 1),
            current=profile_id
            # project=str(mqtt.project.TopicProject.engineries(app().project_id)),
            # set=str(mqtt.spread.topic.Set(
            #     mqtt.spread.address.ManagerAddress(
            #         app().project_id, manager.Lom.__name__, '+', manager.Lom.Profiles))),
            # state=str(mqtt.spread.topic.State(
            #     mqtt.spread.address.EngineryAddress(
            #         app().project_id, la.LightingArea.__name__, '+', la.Buttons))),
        )
    )
