from time import sleep
import threading

import spread_dali.gear.general as gear
from spread_dali.address import Short

from spread_core.bam.dali.providers.lights import _Step, DaliDimmer
from spread_core.mqtt.spread.variable import Variable
from spread_core.tools.timer import Timer, Coroutine


pause = threading.Event()


class T(threading.Thread):
    def run(self):
        while True:
            pause.clear()
            pause.wait(10)
            next(g)

        # while g.gi_running:
        #     print('g still executing\r')
        #     sleep(0.00000001)
        # print('thread start')
        # next(g)


tread = T()
started = False
n = 1


def gen():
    while True:
        yield step()


def step():
    global started, n

    if not pause.is_set():
        pause.set()

    print(f'step{n} start')
    if not started:
        started = True
        tread.start()

    print(f'step{n} done')
    n += 1


def step_a():
    sleep(1)
    print('step A')


def step_b():
    print('step B')


def echo():
    print("Выполнение начинается при первом вызове 'next()'.")
    try:
        while True:
            try:
                cmd = (yield ['response'])
                print(cmd)
            except Exception as e:
                value = e
    finally:
        print("Не забудьте очистить при вызове 'close()'.")


if __name__ == '__main__':
    # g = gen()
    # for i in range(1):
    #     next(g)
    # next(g)
    # next(g)
    # g.send(1)
    # g.send(2)

    # d = DaliDimmer(1, Short(1))
    # funit = _Step(d, Variable(gear.Up))
    # cmd = _Step(d, Variable(gear.Up)).set
    # value = funit.set_value

    # Timer.set(1, step_b)
    # sleep(0.8)
    # Timer.set(0.001, step_b)
    # Timer.set(0.0001, step_b)
    # Timer.set(0.00001, step_b)
    # Timer.set(0.000001, step_b)

    # Timer.set(0.0000001, step_b)
    # Timer.set(0.00000001, step_b)
    # Timer.set(0, step_b)

    # for i in range(1):
    #     Timer.set(0, step_a)

    # print('Start A')
    # timer1 = Timer.set(0, step_a)
    # print('Start B')
    # timer2 = Timer.set(0, step_b)
    # timer3 = Timer.set(0, step_b)
    # timer4 = Timer.set(0, step_b)
    # timer1.close()

    generator = echo()
    next(generator)
    # print(next(generator))
    for i in generator.send('command1'):
        print(i)

    print(generator.send('command1'))
    print(generator.send('command2'))
    # print(next(generator))
    # generator.throw(TypeError, "spam")
    generator.close()
    