import json

import django.http as http


class Success(http.HttpResponse):
    def __init__(self, result: (int, float, str, dict) = "OK"):
        super(Success, self).__init__(json.dumps(dict(result=result)))


class SuccessJson(http.HttpResponse):
    def __init__(self, result):
        super(SuccessJson, self).__init__(json.dumps(result), content_type='application/json')


class Error(http.HttpResponse):
    def __init__(self, error):
        super(Error, self).__init__(json.dumps(dict(error=error)))


